igeo

## Class ISun.DateRange

- java.lang.Object
- - igeo.ISun.DateRange

- Enclosing class:
    ISun

      public static class ISun.DateRange
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `endDay`
    `int` | `endMonth`
    `int` | `endYear`
    `int` | `startDay`
    `int` | `startMonth`
    `int` | `startYear`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRange(int year)`
    `DateRange(int year, int startMonth, int endMonth)`
    `DateRange(int year, int startMonth, int startDay, int endMonth, int endDay)`
    `DateRange(int startYear, int startMonth, int startDay, int endYear, int endMonth, int endDay)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `dayCount()`
    `ISun.DateIterator` | `getIterator()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### startYear

          public int startYear

    - #### endYear

          public int endYear

    - #### startMonth

          public int startMonth

    - #### endMonth

          public int endMonth

    - #### startDay

          public int startDay

    - #### endDay

          public int endDay

  - ### Constructor Detail

    - #### DateRange

          public DateRange(int startYear,
                           int startMonth,
                           int startDay,
                           int endYear,
                           int endMonth,
                           int endDay)

    - #### DateRange

          public DateRange(int year,
                           int startMonth,
                           int startDay,
                           int endMonth,
                           int endDay)

    - #### DateRange

          public DateRange(int year,
                           int startMonth,
                           int endMonth)

    - #### DateRange

          public DateRange(int year)

  - ### Method Detail

    - #### getIterator

          public ISun.DateIterator getIterator()

    - #### dayCount

          public int dayCount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`